Bug 496323 - Please package on to 1.0.8
Please package on to 1.0.8
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: redland (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Thomas Vander Stichele
Fedora Extras Quality Assurance
http://librdf.org
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-17 16:14 EDT by Martin Andrews
Modified: 2011-06-27 10:10 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 10:10:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Andrews 2009-04-17 16:14:20 EDT
Description of problem:
1.0.7 is incredibly slow for memory-based queries.  These are important for music plugins : The LV2 standard uses rdf to describe the capabilities of audio plugin libraries.

Version-Release number of selected component (if applicable):
1.0.7 and before.

How reproducible:
When built from source, 1.0.8 fixes the problem : using 'tree based indexing'

Steps to Reproduce:
1.  Install redland-1.0.7-..., and slv-devel
2.  Discover all installed plugins (.lv2 folders)
3.  Select a specific plugin (a single .ttl file)
4.  Request a list of all 'audio outputs'
5.  Wait 4 seconds (3.9sec longer than seems reasonable...)
  
Actual results:
Slow

Expected results:
Fast

Additional info:
1.0.8 works fine.  But that also has a dependency on a newer raptor (AFAIK).
Comment 1 Bug Zapper 2009-11-18 06:45:05 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Kevin Kofler 2009-11-18 08:04:28 EST
Looks like we're still stuck on 1.0.7 even in dist-f13. :-( Rebasing.
Comment 3 Bug Zapper 2010-03-15 08:32:07 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Simon Lewis 2010-04-05 03:38:48 EDT
(In reply to comment #3)
  

I notice that openoffice 3.2 is compiled aggainst redland 1.0.10 in fc13.

Is it not time that openoffice is updated in fc12?

Thus we could at last update the multi-media apps on fc12...
Comment 5 Bug Zapper 2011-06-02 14:08:58 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2011-06-27 10:10:12 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.